<?php
declare(strict_types=1);

use GamesShop\Entities\Account\User;

/**  @var User|null $activeUser */

?>

<?php if ($activeUser !== null): ?>
    <div class="d-flex avatar justify-content-center">

        <div class="avatar-icon h-100 position-relative me-2 ratio-1">
            <img src="<?= $activeUser->getProfilePictureUrl(); ?>" class="rounded-circle h-100" alt="User Profile Picture" />
            <div class="position-absolute bottom-0 end-0 ratio-1 d-flex align-items-center z-1 avatar-login-method">
                <i class="fa-brands <?= $activeUser->getLoginMethod()->getIconClass() ?>"></i>
                <span class="position-absolute w-100 h-100 bottom-0 end-0 ratio-1 bg-body rounded-circle z-n1 avatar-login-method-icon"></span>
            </div>
        </div>

        <div class="d-flex flex-column">
            <span class="me-2 h-3">
                <?= $activeUser->getName() ?>
            </span>
            <small class="text-muted">
                <?= $activeUser->getPermission()->getHumanReadableName() ?>
            </small>
        </div>
        <div class="h-100 d-flex align-items-center ms-2">
            <a href="/logout">
                <i class="fa-solid fa-arrow-right-to-bracket fa-xl text-danger"></i>
            </a>
        </div>
    </div>
<?php endif ?>
